Bug 166133 - gccmakedep does not recognize -i*prefix* gcc options
Summary: gccmakedep does not recognize -i*prefix* gcc options
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-17 08:57 UTC by Brano Zarnovican
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 08:42:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for gccmakedepep-i386 to recognize and pass -i*prefix* options to gcc -M call (308 bytes, patch)
2005-08-17 08:57 UTC, Brano Zarnovican
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 4304 None None None Never

Description Brano Zarnovican 2005-08-17 08:57:07 UTC
Description of problem:    
gccmakedep does not recognize -i*prefix* gcc options    
    
Version-Release number of selected component (if applicable):    
rpm -q -f `which gccmakedep`    
xorg-x11-devel-6.8.2-37    
rpm -q gcc    
gcc-4.0.1-4.fc4    
    
How reproducible:    
    
Steps to Reproduce:    
mkdir depend    
cd depend    
echo "#include <myfile.h>" > test.c    
touch ../myfile.h    
gccmakedep -f - -iprefix ../ -iwithprefix . test.c    
gcc -M -iprefix ../ -iwithprefix . test.c    
     
Actual results:    
$ gccmakedep -f - -iprefix ../ -iwithprefix . test.c    
Unknown option '-iprefix' ignored    
Unknown option '-iwithprefix' ignored    
test.c:1:20: error: myfile.h: No such file or directory    
    
Expected results:    
$ gccmakedep -f - -iprefix ../ -iwithprefix . test.c    
test.o: test.c .././myfile.h    
    
Additional info:    
Workaround:    
use directly "gcc -M"     
   
Provided patch doesn't correctly handle cases where option argument   
is "sticked" to the option. E.g.:   
-prefix ../   
vs.   
-prefix../   
GCC accepts both, gccmakedep should also  
 
There are numerous 'include' options that ought to be recognized too 
-nostdin, -iquote, -idirafter 
 
Search keywords: 
-iprefix, -iwithprefix, -iwithprefixbefore

Comment 1 Brano Zarnovican 2005-08-17 08:57:07 UTC
Created attachment 117824 [details]
patch for gccmakedepep-i386 to recognize and pass -i*prefix* options to gcc -M call

Comment 2 Mike A. Harris 2005-08-30 11:12:00 UTC
This appears to be a generic feature request to gccmakedep rather than
a Red Hat specific bug, so it is best to file it in the X.Org bugzilla
directly at:  http://bugs.freedesktop.org in the "xorg" component.  Any
requests of this nature will be reviewed by upstream developers for
consideration in future releases of X.Org.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will track the issue in the centralized
X.Org bug tracker, and if the request is accepted and checked into
CVS, we will consider adding it to future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL for tracking.

Comment 3 Mike A. Harris 2005-09-14 08:42:58 UTC
Bug http://freedesktop.org/bugzilla/show_bug.cgi?id=4304 was linked to this
bug a while ago but no comment added about it.  I just noticed it.

Setting status to "UPSTREAM" for tracking in xorg bugzilla.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.